Skip to main content

EventDelivery

Delivery-attempt state and response information for a webhook event.

Usage profiles​

UsageFields and validation
In responsesView fields

In responses​

API JSON uses JSON field names (camelCase).

FieldTypePresenceMeaning
idstringOptionalIdentifier of the event delivery record.
eventIdstringOptionalIdentifier of the webhook event being delivered.
endpointIdstringOptionalIdentifier of the webhook endpoint receiving deliveries.
statusstring (DELIVERY_STATUS_SCHEDULED, DELIVERY_STATUS_PROCESSING, DELIVERY_STATUS_COMPLETED, DELIVERY_STATUS_RETRY, DELIVERY_STATUS_FAILED, DELIVERY_STATUS_DISCARDED) or integer (int32)OptionalCurrent delivery status reported for this webhook event attempt.
attemptsinteger (int32)OptionalNumber of delivery attempts reported for the webhook event. Minimum: -2147483648. Maximum: 2147483647.
eventTypestringOptionalType of the webhook event represented by this delivery.
createdAtstring (date-time)OptionalTime when this record was created.
updatedAtstring (date-time)OptionalTime when this record was last updated.
httpStatusinteger (int32)OptionalHTTP response status reported for the delivery attempt. Minimum: -2147483648. Maximum: 2147483647.
responseDatastringOptionalResponse body reported by the webhook delivery target.
errorstringOptionalError information reported for this operation or item.

Values of status​

Delivery-backend state of a webhook event sent to an endpoint.

ValueNo.FormMeaning
DELIVERY_STATUS_SCHEDULED1CanonicalThe delivery is scheduled and waiting for processing.
DELIVERY_STATUS_PROCESSING2CanonicalThe delivery backend is processing a delivery attempt.
DELIVERY_STATUS_COMPLETED3CanonicalThe webhook delivery completed successfully.
DELIVERY_STATUS_RETRY4CanonicalThe delivery is awaiting another attempt after a retryable failure.
DELIVERY_STATUS_FAILED5CanonicalThe delivery is reported as failed by the backend.
DELIVERY_STATUS_DISCARDED6CanonicalThe delivery backend discarded the event instead of completing delivery.

Where used​

ReferenceRelationship
List webhook event deliveriesPOST /api/v1/webhooks/list-deliveries
Retry a failed webhook deliveryPOST /api/v1/webhooks/retry-delivery

Download the public reference contract.

Document: DOC-API-MODEL-event-delivery.